package io.renren.modules.app.service;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.WtTyEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import java.util.List;
import java.util.Map;

/**
 * 楼盘幢号(楼宇)信息表
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-06-14 11:34:32
 */
public interface ZhxxService extends IService<ZhxxEntity> {

    /**
     * 分页模糊查询
     * @param pageNum
     * @param pageSize
     * @param zhxxEntity
     * @return
     */
    PageInfo<ZhxxEntity> queryByPage(Integer pageNum, Integer pageSize, ZhxxEntity zhxxEntity);
    
    //主键定义
    String querydhbm();
    
    void updatezhxxyjje(ZhxxEntity zhxxEntity);

    /**
    * 单个或批量删除
    * @param ids
    */
    void deleteBatch(String[] ids);
    
    //下拉类型
    List<WtTyEntity> selectXllx(Map map);
    
    WtTyEntity selectkm(ZhxxEntity zhxxEntity);
    
    List<ZhxxEntity> selectzhxx(String id);
}

